<%@page import="java.util.*,javax.sql.*,java.sql.*,javax.naming.*,m05bClasses.*,java.io.PrintWriter" %>
<%@include file="/mantenimientosJSP/includes/m05b.inc"%>

<HTML>

<!-- Fecha de creacion: (05/05/04) -->

<%	// _______________________________XLNETs______________________________________
	// Evaluar variable de session que indica si esta conectado a XLNets
	if (session.getAttribute("objetoSeguridad") == null)  { 
		// Verificar que no ha transcurrido el tiempo de sesion (web.xml) %>
			<%@ include file="/m05bControlAcceso.inc"%> 
<%	} 
	String persona = (String) session.getAttribute("persona");
%>
	<%@ include file="/m05bIdioma.inc"%>

<head>
		<title><%= resTit.getString("titAsigUbicLibres")%></title>
		<link rel="stylesheet" href="<%=m05bConstantesPaginas.PATH_ESTILOS%>/m05bestilos.css" type="text/css">
		<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">
		<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/m05Funciones.js"></script>
		<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/formateador.js"></script>
</head>
<script>
          /*function   fncCargarDatos (matricula,marca,modelo,color){
               opener.document.formCochesLibres.Matricula.value=matricula;
               opener.document.formCochesLibres.Marca.value=marca;
               opener.document.formCochesLibres.Modelo.value=modelo;
               opener.document.formCochesLibres.Color.value=color;
               window.close();
          }*/
		function   fncCargarDatos (matricula){
			var docu = document.formCochesLibresHoy;
	        docu.action="m05bVehiculosJsp.jsp?Matricula=" + matricula + "&Habilitar=true";
	        docu.submit();
        } 
	    function fncImprimir() {
			var docu = document.formCochesLibresHoy;
			var tipo;
			if (docu.Selec[0].checked) {
				tipo="L";
			}
			else  {
				tipo="T";
			}
			docu.DescRango.value=docu.Rango.options[docu.Rango.selectedIndex].text;
			var url="m05bCochesLibresPDFJsp.jsp?Hoy=true&Tipo=" +  tipo + "&Rango=" + docu.Rango.value;
			
	        docu.action=url;
	        docu.submit();
	    }            
		  function fncCambiarSeleccion() {

				var tipo;
				var docu = document.formCochesLibresHoy;

				if (docu.Selec[0].checked) {
					tipo="L";
				}
				else  {
					tipo="T";
				}
		       	window.location.href="m05bCochesLibresHoyJsp.jsp?Tipo=" +  tipo + "&Rango=" +  docu.Rango.value +"&Mensaje=Temporal" ;
				//docu.submit();
		    }
		    
          
</script>
<BODY style="cursor: wait" onkeydown="cancelaEnter();" onload="document.body.style.cursor='default';InitMenu(); return false;" onunload="document.body.style.cursor='wait';">
		<SCRIPT language=JavaScript>
			var urlIdioma;		//URL recarga en funcion del idioma
			var rutaCabecera;	//Camino de migas
			var detActual;		//Ventana actual
			urlIdioma = "<%=m05bConstantesPaginas.VEH_ASIG_COCHESLIBRES%>?Tipo=L";
			detActual = '<%=resTit.getString("titAsigUbicLibres")%>';
			rutaCabecera = "<%=m05bConstantesPaginas.DATOS_CABECERA%>" + urlIdioma + "'>\\"+detActual+"</a>";
		</SCRIPT>
		<%@ include file="/mantenimientosJSP/includes/m05Cabecera_c.jsp"%>
<p>
	<!--          CAPA ESPERA       -->
<table  width="100%" height="100%" border="0" cellspacing="0" cellpadding="0" align="center">
	<tr><td colspan=3></td></tr>
	<tr valign="top">
		<td width="2%">
			<DIV ID="thessm" style="visibility:hidden;Position : Absolute ;Left : 0 ;Top : 80 ;Z-Index : 20;">
	      		<DIV ID="thessm2" style="Position : Absolute ;Left : (-150) ;Top : 0 ;Z-Index : 20;">
	                <%@ include file="/m05bMenuInicial.inc"%>
	       		</DIV>
			</DIV>
		</td>
		<td>&nbsp</td>
		<td width="98%">
		<%
		 String idiomaText="C";
		String strTexto="";
		if(!idiomaSes.equals("es")){ 
			idiomaText="E";
			strTexto="E";
		}
		  m05bCombo miCombo= new m05bCombo();
		  m05bFileLog miLog= new m05bFileLog();
		  String Rango = request.getParameter("Rango")==null?"":request.getParameter("Rango");
		  String conRango="";
		  if ( (Rango==null) || (Rango.equals("")) )
		        Rango="";
		  else 
		  	  conRango = " AND RANGO_96 = '" + Rango + "'";
		  miLog.addTraza(persona,"Coches Libres Hoy","RANGO: "  + Rango, m05bConstantes.LOG_NIVEL_BAJO);
		  
		  String tipo=request.getParameter("Tipo")==null?"":request.getParameter("Tipo");
		  String condLibres=""; 
	 	  if (tipo.equals("L")) {
	 	 	 condLibres= " AND LIBRE_96 = 'S'";
	 	  }
		  
		  miLog.addTraza(m05bConstantes.LOG_NO_USER, m05bConstantes.LOG_NO_SRC, "TIPO: "  + tipo, m05bConstantes.LOG_NIVEL_BAJO);
		  String mensaje = request.getParameter("Mensaje");
		  if (mensaje==null)
				mensaje="";
		  if (mensaje.equals("true")) {
				PrintWriter outMsg= response.getWriter();
				outMsg.println("<script>alert('" + m05bMensajes.MSG_GRABACION_OK + "');</script>");
				outMsg.close();
			}	
		  miLog.addTraza(m05bConstantes.LOG_NO_USER, m05bConstantes.LOG_NO_SRC, "MENSAJE: "  + mensaje, m05bConstantes.LOG_NIVEL_BAJO);
		
		// Para la vuelta de Gestion de Vehiculos
		String url="m05bCochesLibresHoyJsp.jsp?Tipo=" +  tipo + "&Rango=" +  Rango +"&Mensaje=Temporal";
		session.setAttribute("rutaRetorno",url);
		  
		%> 
		<FORM NAME="formCochesLibresHoy" METHOD="POST">
					  <!-- Botonera -->
					  <TABLE class="general">
						    <tr>
							      <td width="90%" align="right"> 
						       	<input type="button" class="boton" name="<%= res.getString("etBOT_PRESENTAR")%>" value="<%= res.getString("etBOT_PRESENTAR")%>" ONCLICK="JavaScript:fncImprimir();return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSPRESENTAR")%>'; return false" onMouseOut="top.status=''; return false" />
						       	</td>
						
							      <td width="10%" align="right"> <INPUT TYPE="IMAGE" style="cursor: hand" VALUE="Grabar" ONCLICK="JavaScript:fncGrabar( );return false;" onMouseOver="top.status='Grabar'; return true" onMouseOut="top.status=''; return true" src="<%=m05bConstantesPaginas.PATH_IMAGENES%>/grabar.gif"/> </td>
							</tr>
					  </TABLE>
		  <TABLE class="general">
		     <tr>
		         <td valign="top" class="searchTitle"><%= res.getString("etSeleccion")%></td>
		         <td valign="top" class="searchTitle"><%= res.getString("etRango")%></td>
		      </tr>
		      <tr>
				  <td class="grupoAsignacion" align="left">
					  <% if (tipo.equals("L")) { %>
					          <input type="RADIO" NAME="Selec" CHECKED VALUE="L" width="40%" onclick='JavaScript:fncCambiarSeleccion()' border='0'/><FONT size=2><%= res.getString("etLibresHoy")%></FONT>
					          <input type="RADIO" NAME="Selec" VALUE="T" width="40%" onclick='JavaScript:fncCambiarSeleccion()' border='0'/><FONT size=2><%= res.getString("etTodos")%></FONT>
					  <% } else if (tipo.equals("T")) { %>
					  	      <input type="RADIO" NAME="Selec" VALUE="L" width="40%" onclick='JavaScript:fncCambiarSeleccion()' border='0'/><FONT size=2><%= res.getString("etLibresHoy")%></FONT>
						      <input type="RADIO" NAME="Selec" CHECKED VALUE="T" width="40%" onclick='JavaScript:fncCambiarSeleccion()' border='0'/><FONT size=2><%= res.getString("etTodos")%></FONT>
					  <% }  %>
  		         </td>
		         <td align="left">
		                <select name="Rango" onchange="JavaScript:fncCambiarSeleccion();" class="inputField" onKeypress="buscar_op(this,this)" onblur="borrar_buffer()" onclick="borrar_buffer()">
		                            <option value="" > </option>
		                            <%=miCombo.popCombo( m05bConstantes.COL_99_CODDESC, "NVL("+strTexto+m05bConstantes.COL_99_DESCRIPCION+","+m05bConstantes.COL_99_DESCRIPCION+")",
		        					m05bConstantes.TAB_DESCRIPCIONES, m05bConstantes.COL_99_CODTABLA, m05bConstantes.DESC_RANGOS, Rango )%>
		                </select>
		         </td>
		     </tr>
		  </TABLE>
		  <TABLE class="general">
		    <tr>
		      <td width="2%" valign="top" class="searchTitle">&nbsp&nbsp</td>
		      <td width="12%" valign="top" class="searchTitle"><%= res.getString("etMatricula")%></td>
		      <td width="7%" valign="top" class="searchTitle"><%= res.getString("etRango")%></td>
		      <td width="5%" valign="top" class="searchTitle"><%= res.getString("etMarca")%></td>
		      <td width="23%" valign="top" class="searchTitle"><%= res.getString("etModelo")%></td>
		      <td width="15%" valign="top" class="searchTitle"><%= res.getString("etColor")%></td>
		      <td width="8%" valign="top" class="searchTitle"><%= res.getString("etKmActuales")%></td>
		      <td width="28%" valign="top" class="searchTitle"><%= res.getString("etUbicacion")%></td>
		    </tr>
		<%
				java.sql.Connection conn = null;
				PreparedStatement pstmt = null, pstmtAsig = null, pstmtOT = null;
				ResultSet rs = null, rsAsig = null, rsOT = null;
				String sql="", cadena="";
				int contTotal = 0;
				String where = "where", campos="", tablas="", subOT="", subAsig="", order="";
				String conDesc="", conOT="", conAsig="";
				String matricula="", marca="", color="", kmact="", modelo="", ubicacion="", rango="", libre="S";


		try{
			m05bConexion miConex = new m05bConexion();
			conn = miConex.getConnection();
					
			if ( (mensaje.equals("true")) || (mensaje.equals("Temporal")) ){
         			sql = "select MATRIC_96, RANGO_96,MARCA_96, NVL("+strTexto+"DESCRIP_99,DESCRIP_99), KMACT_96, UBICACION_96, MODELO_96,  idcolor_96 " +
					         "from " + m05bConstantes.TAB_COCHESLIBRES + 
					         " INNER JOIN "+m05bConstantes.TAB_DESCRIPCIONES+
					         " ON  cod_tab_99=1 and IDCOLOR_96=cod_desc_99 "+
					    	" where USUARIO_96 = '" + persona + "'";
		 			order = " order  by  MATRIC_96";
		 			sql += condLibres + conRango + order;
					
			} else {  				// Se entra por primera vez
					// Borrado de tabla temporal
					sql="delete from " + m05bConstantes.TAB_COCHESLIBRES + 
							" where " + m05bConstantes.COL_96_USUARIO + " = '" + persona + "'";
					miLog.addTraza(m05bConstantes.LOG_NO_USER, m05bConstantes.LOG_NO_SRC, "SQL: " + sql, m05bConstantes.LOG_NIVEL_BAJO);
					pstmtAsig = conn.prepareStatement(sql);
					pstmtAsig.executeUpdate();
						
				    color=	" AND C." + m05bConstantes.COL_99_CODTABLA + " (+) = " + m05bConstantes.DESC_COLORES + " AND " +
				    		m05bConstantes.COL_34_COLOR + " = C." + m05bConstantes.COL_99_CODDESC + " (+)";

				    marca=	" AND M." + m05bConstantes.COL_99_CODTABLA + " (+) = " + m05bConstantes.DESC_MARCAS + " AND " +
				    		m05bConstantes.COL_34_MARCA + " = M." + m05bConstantes.COL_99_CODDESC + " (+)";

				    ubicacion=	" AND P." + m05bConstantes.COL_99_CODTABLA + " (+) = " + m05bConstantes.DESC_UBICACIONES + " AND " +
				    		m05bConstantes.COL_34_APARCADO + " = P." + m05bConstantes.COL_99_CODDESC + " (+) ";

				    modelo = " MOD." + m05bConstantes.COL_17_CODMOD + " (+) = V." + m05bConstantes.COL_34_MODELO;

				    if (Rango.equals(""))
				       conRango="";
				    else
				       conRango=" V." + m05bConstantes.COL_34_RANGO + " = '"+ Rango + "' ";
				    
		   		    conDesc = modelo + marca + color;

					//if (tipo.equals("L")) {
					    conOT = " V. " + m05bConstantes.COL_34_MATRICULA + " = OT." + m05bConstantes.COL_34_MATRICULA + " (+)";
					    conAsig = " V. " + m05bConstantes.COL_34_MATRICULA + " = ASIG." + m05bConstantes.COL_34_MATRICULA + " (+)";
					    where += " V." + m05bConstantes.COL_34_SITUACION + " = '" + m05bConstantes.VEH_ALTA + "'";  
				    	where += " AND " + conOT + " AND " + conAsig ;
					    if (Rango.equals(""))
					    	where = where + " AND " + conDesc;
					    else 
					    	where = where + " AND " + conRango + " AND " + conDesc;
				    /*} else { 
					    if (Rango.equals(""))
					    	where = where + conDesc;
					    else 
					    	where = where + conRango + " AND " + conDesc;
					}*/
				    	
				    
				    /*conAsig=" AND "+m05bConstantes.COL_34_MATRICULA+" NOT IN (select "+m05bConstantes.COL_01_MATRICULA+
				    		" FROM "+m05bConstantes.TAB_ASIGNACION+
				    		" WHERE "+m05bConstantes.COL_01_FINALIZA+"='N'AND " + 
				    		m05bConstantes.COL_01_FDESDE + " <= sysdate and " + 
				    		m05bConstantes.COL_01_FHASTA +  " >= sysdate )";

				    conOT=	""+m05bConstantes.COL_34_MATRICULA+" NOT IN (select "+m05bConstantes.COL_20_MATRICULA+
				    		" FROM "+m05bConstantes.TAB_ORDENESTRAB+" WHERE "+m05bConstantes.COL_20_FSALIDA+" IS NULL " +
				    		" AND " + m05bConstantes.COL_20_FENTRADA + " <= sysdate  )";*/

					//where = where + conOT + " AND " + conAsig + conDesc;
					
				    campos=	"select V." + m05bConstantes.COL_34_MATRICULA + ", V." + m05bConstantes.COL_34_RANGO +
				    		", M." + m05bConstantes.COL_99_DESCRIPCION + ", nVL(C." +strTexto +m05bConstantes.COL_99_DESCRIPCION +
				    				",C."  +m05bConstantes.COL_99_DESCRIPCION +
							"), " + m05bConstantes.COL_34_KMACTUALES +
							", V." + m05bConstantes.COL_34_APARCADO + ", MOD." + m05bConstantes.COL_17_DESCRIP +
				    		", OT." + m05bConstantes.COL_34_MATRICULA + ", ASIG." + m05bConstantes.COL_34_MATRICULA +
				    		", C." +m05bConstantes.COL_99_CODDESC +" as idcolor_96";

				    tablas=	" from " + m05bConstantes.TAB_DESCRIPCIONES + " C, " + m05bConstantes.TAB_DESCRIPCIONES + 
				    		" M, " + m05bConstantes.TAB_MODELOS + " MOD" + ", " + m05bConstantes.TAB_VEHICULOS +  " V ";
					//if (tipo.equals("L")) {
					    subOT=" (select " + m05bConstantes.COL_34_MATRICULA +
					    		" from " + m05bConstantes.TAB_VEHICULOS +
					    		" where " + m05bConstantes.COL_34_MATRICULA + 
					    				" in (select " + m05bConstantes.COL_20_MATRICULA +
					    							" from " + m05bConstantes.TAB_ORDENESTRAB +
					    							" where " + m05bConstantes.COL_20_FSALIDA + " is null " +
					    							" and  " + m05bConstantes.COL_20_FENTRADA + " <= sysdate )) OT ";
					    subAsig=" (select " + m05bConstantes.COL_34_MATRICULA +
					    		" from " + m05bConstantes.TAB_VEHICULOS +
					    		" where " + m05bConstantes.COL_34_MATRICULA + 
					    				" in (select " + m05bConstantes.COL_01_MATRICULA +
					    							" from " + m05bConstantes.TAB_ASIGNACION +
					    							" where "+m05bConstantes.COL_01_FINALIZA+"='N'or " +
					    							" sysdate between " + m05bConstantes.COL_01_FDESDE + 
					    									" and " + m05bConstantes.COL_01_FDEVOL + ")) ASIG ";
					    tablas = tablas + ", " + subOT + ", " + subAsig;
					//} 

				    order =" order by 	V." + m05bConstantes.COL_34_MATRICULA ;

					sql = campos + tablas + where + order;
			}  // Fin else
			miLog.addTraza(m05bConstantes.LOG_NO_USER, m05bConstantes.LOG_NO_SRC, "SQL: " + sql, m05bConstantes.LOG_NIVEL_BAJO);

			pstmt = conn.prepareStatement(sql);
			rs = pstmt.executeQuery();
			ubicacion=""; color=""; kmact=""; marca=""; modelo=""; rango=""; ubicacion="";
			String idcolor;
			//String matAux="";
			String tabAux="";
			while (rs.next() == true){
		        //if (matAux.equals("")){
				    matricula= rs.getString(1);
		            //matAux=matricula;
		            rango= rs.getString(2)==null?"":rs.getString(2);
					marca= rs.getString(3)==null?"":rs.getString(3);
					color=rs.getString(4)==null?"":rs.getString(4);
					kmact=rs.getString(5)==null?"":rs.getString(5);
					ubicacion=rs.getString(6)==null?"":rs.getString(6).toUpperCase();
					modelo= rs.getString(7)==null?"":rs.getString(7);
					idcolor= rs.getString("idcolor_96");
					
					/*if ( (tipo.equals("T")) && (ubicacion == null) ) {
						// Se comprueba si el vehiculo esta en una asignacion
						sql="select 1 from " + m05bConstantes.TAB_ASIGNACION +
			    							" where " + m05bConstantes.COL_01_MATRICULA + " = '" + matricula + "'" +
			    							" and " + m05bConstantes.COL_01_FINALIZA+"='N'and " +
			    							" sysdate between " + m05bConstantes.COL_01_FDESDE + 
			    									" and " + m05bConstantes.COL_01_FHASTA ;
		    			pstmtAsig = conn.prepareStatement(sql);
						rsAsig = pstmtAsig.executeQuery();
						miLog.addTraza(m05bConstantes.LOG_NO_USER, m05bConstantes.LOG_NO_SRC, "SQL-ASIG: " + sql, m05bConstantes.LOG_NIVEL_BAJO);
						if (rsAsig.next()) {
							ubicacion=m05bConstantes.VEH_UBI_ASIGNACION;
			    			miLog.addTraza(m05bConstantes.LOG_NO_USER, m05bConstantes.LOG_NO_SRC, "MATRIC: " + matricula +  " - UBIC: " + ubicacion, m05bConstantes.LOG_NIVEL_BAJO);
						} else {
						// Se comprueba si el vehiculo esta en una orden de trabajo
							sql="select 1 from " + m05bConstantes.TAB_ASIGNACION +
				    							" where " + m05bConstantes.COL_01_MATRICULA + " = '" + matricula + "'" +
				    							" and " + m05bConstantes.COL_01_FINALIZA+"='N'and " +
				    							" sysdate between " + m05bConstantes.COL_01_FDESDE + 
				    									" and " + m05bConstantes.COL_01_FHASTA ;
			    			pstmtOT = conn.prepareStatement(sql);
							rsOT = pstmtOT.executeQuery();
						miLog.addTraza(m05bConstantes.LOG_NO_USER, m05bConstantes.LOG_NO_SRC, "SQL-OT: " + sql, m05bConstantes.LOG_NIVEL_BAJO);
							if (rsOT.next()) {
								ubicacion=m05bConstantes.VEH_UBI_ORDENTRAB;
			    				miLog.addTraza(m05bConstantes.LOG_NO_USER, m05bConstantes.LOG_NO_SRC, "MATRIC: " + matricula +  " - UBIC: " + ubicacion, m05bConstantes.LOG_NIVEL_BAJO);								
							}
						}
						if (rsAsig != null)
							rsAsig.close();
						if (pstmtAsig != null)
							pstmtAsig.close();
						if (rsOT != null)
							rsOT.close();
						if (pstmtOT != null)
							pstmtOT.close();
					}*/
				//	if (       ( ( ubicacion== null) &&  (mensaje.equals("")) )
				//			|| ( (!(tipo.equals("L")))   &&  (mensaje.equals("Temporal")) ) 
					if (mensaje.equals("")) 	 {
						//Tener en cuenta que puede estar en los dos
							// y coger el actual
						if (rs.getString(8) != null) {
							ubicacion=m05bConstantes.VEH_UBI_ORDENTRAB;
							libre="N";
						} else if (rs.getString(9) != null) {
							ubicacion=m05bConstantes.VEH_UBI_ASIGNACION;
							libre="N";
						} else if (ubicacion == null) {
							ubicacion = "";
							libre="S";
						} else {
							libre="S";
						}
					/*} else {
						libre="S";
						if (ubicacion == null)
							ubicacion = "";*/
					//}  
					//if ((!(mensaje.equals("true"))) && (!(mensaje.equals("Temporal"))) ) {
					//if ( mensaje.equals(""))	 {
							sql="insert into " + m05bConstantes.TAB_COCHESLIBRES + 
										" (" + m05bConstantes.COL_96_USUARIO + ", " +  m05bConstantes.COL_96_MATRICULA + 
										", " + m05bConstantes.COL_96_RANGO + ", " +  m05bConstantes.COL_96_MARCA + 
										", " + m05bConstantes.COL_96_COLOR + ", " + m05bConstantes.COL_96_KMACT + 
										", " + m05bConstantes.COL_96_UBICACION + 
										", " + m05bConstantes.COL_96_MODELO + ", " + m05bConstantes.COL_96_LIBRE +
										", ID" + m05bConstantes.COL_96_COLOR+") " +
										" values " + 
										" ( '" + persona  + "','" + matricula + "','" + rango + "' , '" + marca + 
										"','" + color + "','" + kmact + "' ,'" + ubicacion + "' , '" + modelo + "' , '" + libre + "','"+idcolor+"' ) " ;
					    	pstmtAsig = conn.prepareStatement(sql);
							pstmtAsig.executeUpdate();
							if (rsAsig != null)
								rsAsig.close();
							if (pstmtAsig != null)
								pstmtAsig.close();
					}  // Fin if
		            /*tabAux= rs.getString(m05bConstantes.COL_99_CODTABLA);
		            if (tabAux.equals("1")) color=rs.getString(m05bConstantes.COL_99_DESCRIPCION);
		            else if (tabAux.equals("7")) marca=rs.getString(m05bConstantes.COL_99_DESCRIPCION);
		            else if (tabAux.equals("12")) ubicacion=rs.getString(m05bConstantes.COL_99_DESCRIPCION);
		        }
		        matAux=rs.getString(m05bConstantes.COL_34_MATRICULA);
		        if (matricula.equals(matAux)){
				    tabAux= rs.getString(m05bConstantes.COL_99_CODTABLA);
		            if (tabAux.equals("1")) color=rs.getString(m05bConstantes.COL_99_DESCRIPCION);
		            else if (tabAux.equals("7")) marca=rs.getString(m05bConstantes.COL_99_DESCRIPCION);
		            else if (tabAux.equals("12")) ubicacion=rs.getString(m05bConstantes.COL_99_DESCRIPCION);
		        }
				else{  */
				if ( ((tipo.equals("L")) && (libre == "S") ) 
							|| (tipo.equals("T"))  ) {
					++contTotal;
						%>
					<div name='<%="veh" + contTotal%>'>
						<tr>
		    			   <% if ( (ubicacion.equals(m05bConstantes.VEH_UBI_ASIGNACION)) 
		    			    		||  (ubicacion.equals(m05bConstantes.VEH_UBI_ORDENTRAB)) ) {%>
		              	   		<td> <input disabled name='<%="chVeh" + contTotal%>' type="checkbox" class="inputFieldTitle" width="2%" ></td>
						   <%  } else { %>
		              	   		<td> <input name='<%="chVeh" + contTotal%>' type="checkbox" class="inputFieldTitle" width="2%" ></td>
						   <%  } %>
						   <td class="inputFieldTitle"><FONT size="1"><input type="hidden" name='<%="Matricula" + contTotal%>' value='<%=matricula%>' ><A href="JavaScript:fncCargarDatos('<%=matricula%>')"><%=matricula%></A></FONT></td>
				     	   <td class="inputFieldTitle"><FONT size="1"><%=rango%></FONT></td>
				     	   <td class="inputFieldTitle"><FONT size="1"><%=marca%></FONT></td>
				       	   <td class="inputFieldTitle"><FONT size="1"><%=modelo%></FONT></td>
				      	   <td class="inputFieldTitle"><FONT size="1"><%=color%></FONT></td>
                   		   <input type="hidden" name=<%="kmact"+contTotal%> value="<%=kmact%>"> 
		   		           <script>
                        		formatNumero(document.formCochesLibresHoy.<%="kmact" + contTotal%>);
		   		           </script>
                   		   <td  class="inputFieldTitle" style="text-align: right" valign="top"><FONT size="1"><script> document.write(document.formCochesLibresHoy.<%="kmact"+contTotal%>.value);</script></FONT></td>
		  				   <td align="left"><FONT size="1">
		    			     <% if ( (ubicacion.equals(m05bConstantes.VEH_UBI_ASIGNACION)) 
		    			    		||  (ubicacion.equals(m05bConstantes.VEH_UBI_ORDENTRAB)) ){%>
		     					  	  <select disabled class="inputField"  NAME='<%="Ubicacion"+ contTotal%>' onchange="javascript: <%="chVeh" + contTotal%>.checked=true; return false;" onKeypress="buscar_op(this,this)" onblur="borrar_buffer()" onclick="borrar_buffer()">
							 <%  } else { %> 
		     					  	  <select class="inputField"  NAME='<%="Ubicacion"+ contTotal%>' onchange="javascript: <%="chVeh" + contTotal%>.checked=true; return false;" onKeypress="buscar_op(this,this)" onblur="borrar_buffer()" onclick="borrar_buffer()">
							 <%  } %>
		    					  	       <option value=""> </option>
		    					  	       <% if (ubicacion.equals(m05bConstantes.VEH_UBI_ASIGNACION)) {%>
		    					  	       		<option selected value='<%=m05bConstantes.VEH_UBI_ASIGNACION%>'>ASIGNACION</option>
		    					  	       <% } else if  (ubicacion.equals(m05bConstantes.VEH_UBI_ORDENTRAB)) {%>
		    					  	       		<option selected value='<%=m05bConstantes.VEH_UBI_ORDENTRAB%>'>ORDEN TRABAJO</option>    					  	       	   
		    					  	       <% } 
											%>
		    					  	       	   <%=miCombo.popCombo( m05bConstantes.COL_99_CODDESC, "NVL("+strTexto+m05bConstantes.COL_99_DESCRIPCION+","+m05bConstantes.COL_99_DESCRIPCION+")", m05bConstantes.TAB_DESCRIPCIONES, m05bConstantes.COL_99_CODTABLA, m05bConstantes.DESC_UBICACIONES, ubicacion )%>
		    					  	  </select></FONT>
		    				</td>		      	    
				       	   <!--td class=inputFieldTitle width="31%"><FONT size=2><%//=ubicacion%></FONT></td-->
						</tr>
					</div>
					<% }  // Fin if
			/*
		           matricula=matAux;
		           modelo= rs.getString(m05bConstantes.COL_17_DESCRIP);
		           color="";
		           marca="";
		           ubicacion="";
		           tabAux= rs.getString(m05bConstantes.COL_99_CODTABLA);
		            if (tabAux.equals("1")) color=rs.getString(m05bConstantes.COL_99_DESCRIPCION);
		            else if (tabAux.equals("7")) marca=rs.getString(m05bConstantes.COL_99_DESCRIPCION);
		            else if (tabAux.equals("12")) ubicacion=rs.getString(m05bConstantes.COL_99_DESCRIPCION);*/

		        }  // Fin while
		    %>
				<tr>
					<!--Meter en un campo oculto para poder coger su valor al tratar los cobros-->
			        <td> <input type='hidden' name="listaBD" VALUE=""></td>
					<td> <input type='hidden' name="DescRango" VALUE=""></td>
				</tr>
			    <tr align="center">
					    <td class="inputField" colspan="7"><%= res.getString("etTotal")%> <%=contTotal%></td>
			    </tr>
			</TABLE>
		</FORM>		</td>
	</tr>
	<tr>
			<td colspan="3"><%@ include file="/mantenimientosJSP/includes/m05Pie_c.jsp"%></td>
	</tr>
</table>
<SCRIPT language='javascript'>
		    function fncGrabar()  {
			    // Enviar en un array los datos modificados para grabar BD
			    //document.all.style.cursor=wait;
			    var i,j=0;
				var actual;
		        var datosBD="";
		        var vehic, ubic;
		        
		        var cont = <%=contTotal%>;
		        ++cont;
		        for (i=0;i < cont;i++){
		            actual=document.all("chVeh"+i);
		            if ( (actual != null) && (actual.checked==true) ) {
		   	            vehic=document.all("Matricula"+i).value;
		   	            if (datosBD != "") {
							datosBD = datosBD + "@" + vehic;  // Separarador entre vehiculos
			            } else {
			            	datosBD = datosBD + vehic;
			            }
			            
			            datosBD = datosBD + "#";  // Separarador entre matricula y ubicacion
						ubic=document.all("Ubicacion"+i).value;
						if ( (ubic == "")  || (ubic == null)) {
							ubic="null";
						}
						datosBD = datosBD + ubic;
		            }
		        }
				var tipo;
				if (document.formCochesLibresHoy.Selec[0].checked) {
					tipo="L";
				}
				else  {
					tipo="T";
				}		       
		        document.formCochesLibresHoy.listaBD.value=datosBD;
		        document.formCochesLibresHoy.action="m05bGrabarUbicacionServlet?Valor=Hoy&Tipo=" + tipo;
				document.formCochesLibresHoy.submit();
	    }			
    setTimeout('initSlide();', 1);
</SCRIPT>
<%
}
   catch (Exception ex1) {
	miLog.addTraza(m05bConstantes.LOG_NO_USER, m05bConstantes.LOG_NO_SRC, "CATCH Exception: " + ex1, m05bConstantes.LOG_NIVEL_BAJO);
   	miLog.addTraza(ex1);
}  finally {
	miLog.addTraza(m05bConstantes.LOG_NO_USER, m05bConstantes.LOG_NO_SRC, "FINALLY", m05bConstantes.LOG_NIVEL_BAJO);
	
	try{
			if (rs != null)
				rs.close();
			if (pstmt != null)
				pstmt.close();
			if (rsAsig != null)
				rsAsig.close();
			if (pstmtAsig != null)
				pstmtAsig.close();
			if (rsOT != null)
				rsOT.close();
			if (pstmtOT != null)
				pstmtOT.close();
			if (conn != null)
				conn.close();
 		} catch (Exception ex2) {
			miLog.addTraza(ex2);
		}
}%>
</BODY>
</HTML>